SME Credit Reporting
Share Commercial or Business data (HTTP POST) to the DLN​
POST https://dev.creditchek.africa/v1/dln/commerce/dataSubmission
This endpoint allows only a single object at a time. It is suggested you integrate this endpoint into your application at the point of loan disbursement(and also at approval) or whenever there's a change in your borrower performance(or repayments) or account status. You can also rely on CreditCheks Global Standing Mandate Direct Debit to handle the auto-reporting through out the loan lifecyle while still automating direct debit collection for your business.
The borrower in front of you may already owe three other lenders. Spectrum knows.
Real-time cross-lender intelligence that exposes loan stacking, flags bad actors, and protects your portfolio before the damage is done.
Request Parameters​
| Name | Position | Required | Description |
|---|---|---|---|
| token | Headers | True | app secret key |
| customerId | Body | True | borrower customerId |
| regNo | Body | True | borrower registration number |
| name | Body | True | borrower name |
| dateOfRegistration | Body | True | borrower date of registration |
| businessCategory | Body | True | borrower business category |
| addressLine1 | Body | True | borrower address line 1 |
| city | Body | True | borrower city |
| state | Body | True | borrower state |
| country | Body | True | borrower country |
| phoneNumber | Body | True | borrower phone number |
| website | Body | False | borrower website |
| Body | True | borrower email | |
| accountType | Body | True | borrower account type |
| accountNumber | Body | True | borrower account number |
| accountName | Body | True | borrower account name |
| lastPaymentAmount | Body | True | borrower last payment amount |
| dateOpened | Body | True | borrower date opened |
| lastPaymentDate | Body | True | borrower last payment date |
| maturityDate | Body | True | borrower maturity date |
| loanAmount | Body | True | borrower loan amount |
| outstandingBalance | Body | True | borrower outstanding balance |
| overdueAmount | Body | True | borrower overdue amount |
| daysInArrears | Body | True | borrower days in arrears |
| collateral | Body | True | borrower collateral |
| consentStatus | Body | True | borrower consent status |
| accountStatusDate | Body | True | borrower account status date |
| legalChallengeStatus | Body | True | borrower legal challenge status |
| minimumInstallment | Body | True | borrower minimum installment |
| nextDueDate | Body | True | borrower next due date |
| loanDuration | Body | True | borrower loan duration |
| purpose | Body | True | borrower purpose |
| repaymentFrequency | Body | True | borrower repayment frequency |
| accountDescription | Body | True | borrower account description |
| currency | Body | True | borrower currency |
| accountStatus | Body | True | borrower account status |
| principal1LastName | Body | True | borrower principal1 last name |
| principal1FirstName | Body | True | borrower principal1 first name |
| principal1MiddleName | Body | True | borrower principal1 middle name |
| principal1Gender | Body | True | borrower principal1 gender |
| principal1DateOfBirth | Body | True | borrower principal1 date of birth |
| principal1AddressLine1 | Body | True | borrower principal1 address line 1 |
| principal1Country | Body | True | borrower principal1 country |
| principal1City | Body | True | borrower principal1 city |
| principal1State | Body | True | borrower principal1 state |
| principal1BVN | Body | True | borrower principal1 BVN |
| principal1PhoneNumber | Body | True | borrower principal1 phone number |
| principal1Email | Body | True | borrower principal1 email |
| principal1PositionInBusiness | Body | True | borrower principal1 position in business |
| principal1AddressLine2 | Body | False | borrower principal1 address line 2 |
| principal1NIN | Body | False | borrower principal1 NIN |
| principal1DriversLicense | Body | False | borrower principal1 drivers license |
| principal1PassportNumber | Body | False | borrower principal1 passport number |
| principal1OtherId | Body | False | borrower principal1 other id |
| principal2AddressLine2 | Body | False | borrower principal2 address line 2 |
| principal2NIN | Body | False | borrower principal2 NIN |
| principal2DriversLicense | Body | False | borrower principal2 drivers license |
| principal2PassportNumber | Body | False | borrower principal2 passport number |
| principal2OtherId | Body | False | borrower principal2 other id |
| principal2LastName | Body | True | borrower principal2 last name |
| principal2FirstName | Body | True | borrower principal2 first name |
| principal2MiddleName | Body | True | borrower principal2 middle name |
| principal2Gender | Body | True | borrower principal2 gender |
| principal2DateOfBirth | Body | True | borrower principal2 date of birth |
| principal2AddressLine1 | Body | True | borrower principal2 address line 1 |
| principal2Country | Body | True | borrower principal2 country |
| principal2City | Body | True | borrower principal2 city |
| principal2State | Body | True | borrower principal2 state |
| principal2BVN | Body | True | borrower principal2 BVN |
| principal2PhoneNumber | Body | True | borrower principal2 phone number |
| principal2Email | Body | True | borrower principal2 email |
| principal2PositionInBusiness | Body | True | borrower principal2 position in business |
| principal2AddressLine2 | Body | False | borrower principal2 address line 2 |
| principal2NIN | Body | False | borrower principal2 NIN |
| principal2DriversLicense | Body | False | borrower principal2 drivers license |
| principal2PassportNumber | Body | False | borrower principal2 passport number |
| principal2OtherId | Body | False | borrower principal2 other id |
| noOfDirectors | Body | True | borrower no of directors |
| businessType | Body | True | borrower business type |
| businessSector | Body | True | borrower business sector |
| taxId | Body | True | borrower tax id |
| collateralType | Body | True | borrower collateral type |
| collateralDetails | Body | True | borrower collateral details |
| litigationDate | Body | True | borrower litigation date |
Example Request
---
curl --location 'https://dev.creditchek.africa/v1/dln/commerce/dataSubmission' \
--header 'token: JWR6t1qp8UcHrGVFyTPhrIWyayH+8eUQFSDkLih6lA2KXGo4CzGUx/zqPc8uhksb' \
--data-raw '{
"customerId": "6287757348cc6c0013f4d0a0",
"regNo": "RC1062517",
"name": "CREDITCHEK TECHNOLOGIES NIGERIA LIMITED",
"dateOfRegistration": "17/05/2019",
"businessCategory": "Energy",
"addressLine1": "Ikorodu road, Lagos",
"city": "Yaba",
"state": "Lagos",
"country": "Nigeria",
"phoneNumber": "08153408713",
"website": "",
"email": "[email protected]",
"accountType": "Commercial/Business fixed term loan",
"accountNumber": "2014603139",
"accountName": "Srisri Ibe",
"lastPaymentAmount": 0,
"dateOpened": "03/08/2024",
"lastPaymentDate": "03/08/2024",
"maturityDate": "03/06/2024",
"loanAmount": 100,
"outstandingBalance": 100,
"overdueAmount": 0,
"daysInArrears": 0,
"collateral": "No",
"consentStatus": "Yes",
"accountStatusDate": "03/08/2024",
"legalChallengeStatus": "No",
"minimumInstallment": 285500,
"nextDueDate": "02/09/2024",
"loanDuration": "6 months",
"purpose": "Float",
"repaymentFrequency": "Monthly",
"accountDescription": "United Bank For Africa",
"currency": "NGN",
"accountStatus": "Open",
"principal1LastName": "IBE",
"principal1FirstName": "SRISRI",
"principal1MiddleName": "KAYODE",
"principal1Gender": "Male",
"principal1DateOfBirth": "12/05/1988",
"principal1AddressLine1": "NYSC CAMP, OKADA EDO STATE",
"principal1Country": "Nigeria",
"principal1City": "Ojo",
"principal1State": "Lagos",
"principal1BVN": "23150827368",
"principal1PhoneNumber": "+2348152032109",
"principal1Email": "[email protected]",
"principal1PositionInBusiness": "Shareholder",
"principal1AddressLine2": "",
"principal1NIN": "",
"principal1DriversLicense": "",
"principal1PassportNumber": "",
"principal1OtherId": "",
"principal2AddressLine2": "",
"principal2NIN": "",
"principal2DriversLicense": "",
"principal2PassportNumber": "",
"principal2OtherId": "",
"principal2": "Yes",
"principal2LastName": "TATTVA",
"principal2FirstName": "DODAN",
"principal2MiddleName": "MONTY",
"principal2Gender": "Male",
"principal2DateOfBirth": "14/09/1988",
"principal2AddressLine1": "NYSC CAMP, OKADA EDO STATE",
"principal2Country": "Nigeria",
"principal2City": "Ojo",
"principal2State": "Lagos",
"principal2BVN": "20150827608",
"principal2PhoneNumber": "+2348145062114",
"principal2Email": "[email protected]",
"principal2PositionInBusiness": "Guarantor",
"addressLine2": "NaN",
"noOfDirectors": "",
"businessType": "",
"businessSector": "Others",
"taxId": "",
"collateralType": "",
"collateralDetails": "",
"litigationDate": ""
}'
---
Response
{
"status": true,
"data": {},
"message": "ledger updated successfully",
"error": false
}